angular.module('userbiweeksService',[]).factory('Userbiweeks',function($http){
	return {
		getPaging:function(filter){
			return $http({method:'POST',url:url_server + 'userbiweekspaging',data:filter});
		},
		getSelect:function(){
			return $http({method:'POST',url:url_server + 'userbiweeks/getall',withCredentials: true});
		},
		getSelect2:function(filter){
			return $http({method:'POST',url:url_server + 'userbiweeks/search',data:filter});
		},
		show:function(id){
			return $http.get(url_server+ 'userbiweeks/'+id);
		},
		save:function(userbiweeksData){
			return $http({method:'POST',
							url:url_server+'userbiweeks',
							data:userbiweeksData});
		},
		update:function(id, userbiweeksData){
			return $http.put(url_server+'userbiweeks/'+id,userbiweeksData);
		},
		destroy:function(id){
			return $http.delete(url_server + 'userbiweeks/'+id);
		}
	};
});
